MAXEYE DVB-T Signal Analysis Toolkit Help

The MAXEYE DVB-T Signal analysis toolkit contains LabVIEW VIs to perform measurements on DVB-T signals that confirm ETSI standard EN 300744 version 1.6.1. Refer to the ETSI EN 300744 standard for the signal specifications and this document assumes that the user is familiar with the DVB-T standard specification. This document has information about the toolkit Labview API VIs to help engineers for programming.

____________________________________________________________________________________________________

For more information regarding this help please contact info@maxeyetech.com


MaxEye DVB-T SA Initialize.vi

Creates MaxEye DVB-T Signal Analysis Handle with the default values and passes the handle to the later VIs.

Analysis Handle Name specifies the name of the notifier that you want to obtain or create. The default is DVB-T to create DVB-T Signal Analysis Handle

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

MAXEYE TECHNOLOGIES Private Limited
Digital Video Toolkits - DVB-T Signal Analysis

For more details on this help, please write to us at
info@maxeyetech.com


MaxEye DVB-T RFSA Configure Hardware.vi

This VI configures the following properties in the NI RFSA hardware,

1. For Demodulation Measurements

i. Configures the NI RFSA Acquisition Type to IQ or Spectrum Mode based on the measurement mode value configured by the user.
ii. Configures the NI RFSA Number of Records property to Number of Averages value configured by the user.
iii. Configures Number of Records Is Finite to TRUE.
iv. Configures the NI RFSA IQ Rate property to the reciprocal of the elementary period. The tool kit internally computes the elementary period based on the Bandwidth value configured by the user.
v. Configures the NI RFSA trigger settings based on the PreTrigger Delay and Minimum Quite Time values.
vi. Configures the NI RSA Number of Samples property based on the Acquisition Length and IQ Rate.

2. Spectral Measurements

i. Configures the NI RFSA Acquisition Type to IQ or Spectrum Mode based on the measurement mode value configured by the user.
ii. Configures the NI RFSA Power Spectrum Units property to Volts Squared.
iii. Configures the NI RFSA Number of Averages property to Number of Averages value.
iv. Configures the NI RFSA Averaging Mode property to Averaging Mode value.

instrument handle identifies your instrument session. instrument handle is obtained niRFSA Initialize VI.

DVB-T Analyzer Params

error in The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

instrument handle out passes a reference to your instrument session to the next VI.

DVB-T Analyzer Params

number of samples specifies the Number of Samples acquired based on the Acquisition Length and IQ Rate. This value is valid only if the Measurement Mode is set to Demodulation Measurements.

error out The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.


MaxEye DVB-T RFSA Measure.vi

This VI perfoms the following.

i. Checks the configuration parameters in the DVB-T Signal Analysis handle and returns an error if the configuration is not valid.
ii. Configures the NI RFSA properties based on the user configuration. For more details refer MaxEye DVBT RFSA Configure Hardware.vi documentation.
iii. Initiates the Acquisition by calling niRFSA Initiate.vi.
iv. Based on the measurement mode configured by the user, either niRFSA Fetch IQ.vi or niRFSA Read Power Spectrum.vi is used for acquiring the signal.
v. Performs Demodulation Measurements or Spectral Measurements based on the Measurement Mode.

instrument handle identifies your instrument session. instrument handle is obtained niRFSA Initialize VI.

DVB-T Signal Analysis Handle In

timeout (sec) specifies the time to wait, in seconds, before returning an error if the requested number of samples have not been acquired.

A negative value indicates to the driver to wait indefinitely.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

instrument handle out passes a reference to your instrument session to the next VI.

DVB-T Signal Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T USRP Measure.vi

This VI perfoms the following.

i. Checks the configuration parameters in the DVB-T Signal Analysis handle and returns an error if the configuration is not valid.
ii. Initiates the Acquisition by calling niUSRP Initiate.vi.
iv. The signal is acquired using niUSRP Fetch Rx Data.vi.
v. Performs Demodulation Measurements or Spectral Measurements based on the Measurement Mode.

session handle identifies your instrument session. session handle is obtained from the niUSRP Open Rx Session VI and identifies a particular Rx session.

DVB-T Analyzer Handle

timeout (sec) specifies the time to wait, in seconds, before returning an error if the requested number of samples have not been acquired.

A negative value indicates to the driver to wait indefinitely.

IQ Rate S/s specifies the rate at which the signal is sampled.

error in The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

session handle passes a reference to your instrument session to the next VI.

DVB-T Analyzer Handle

error out The error out cluster passes error or warning information out of a VI to be used by other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.


MaxEye DVB-T SA Close Handle.vi

This VI closes the DVB-T Signal Analysis handle and resources associated with it.

DVB-T Signal Analysis Handle

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Set Mode.vi

Configures the Mode property of DVB-T Signal Analysis handle. The valid enum values for this property are 0 (2K) , 1 (8K) and 2 (4K).
2K Mode uses 1705 subcarriers, 8K mode uses 6817 subcarriers and 4K mode uses 3409 subcarriers .

Default value for this property is 0 (2K).

DVB-T Signal Analysis Handle In

Mode specifies the Mode (FFT size). The valid enum values for this property are 0 (2K) , 1 (8K) and 2 (4K). 2K Mode uses 1705 subcarriers, 8K mode uses 6817 subcarriers and 4K mode uses 3409 subcarriers .
Default value for this property is 0 (2K).

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Set Guard Interval.vi

Configures the Guard Interval to be used for the DVB-T Signal Analysis handle. The valid enum values for the Guard Interval property are 0 (1/4), 1 (1/8), 2 (1/16) and 3 (1/32). The Guard Interval is used to specify the length of cyclic prefix as a fraction of the total FFT size.

The default value is 1 (1/8).

DVB-T Signal Analysis Handle In

Guard Interval specifies the Guard Interval. The valid enum values for the Guard Interval property are 0 (1/4), 1 (1/8), 2 (1/16) and 3 (1/32). The Guard Interval is used to specify the length of cyclic prefix as a fraction of the total FFT size.

The default value is 1 (1/8).

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Set BandWidth.vi

Configures the value for signal bandwidth property, in Hz in the DVB-T Signal Analysis handle. The signal bandwidth determines the FFT sampling frequency and IQ rate of the received complex waveform. The valid enum values for the signal bandwidth are 0 (8 MHz), 1 (7MHz), 2 (6MHz) and 3 (5MHz).

The default value is 0 (8MHz).

DVB-T Signal Analysis Handle In

Bandwidth specifies DVB-T signal bandwidth The signal bandwidth determines the FFT sampling frequency and IQ rate of the received complex waveform. The valid enum values for the signal bandwidth are 0 (8 MHz), 1 (7MHz), 2 (6MHz) and 3 (5MHz).

The default value is 0 (8MHz).

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Set Modulation.vi

Configures the Modulation Scheme property in the DVBT Signal Analysis handle. The enum values for the modulation schemes are 0(QPSK), 1(16QAM) and 2(64 QAM)

The default value for the Modulation Scheme is 0(QPSK).

DVB-T Signal Analysis Handle In

Modulation specifies the Modulation Scheme. The enum values for the modulation schemes are 0(QPSK), 1(16QAM) and 2(64 QAM)

The default value for the Modulation Scheme is 0(QPSK).

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Set Alpha.vi

Configures the Alpha property in the DVBT Signal Analysis handle. Alpha is the minimum distance separating two constellation points carrying different HP-bit values divided by the minimum distance separating any two constellation points. Non-hierarchical transmission uses the same uniform constellation as the case with Alpha = 1.

For more information refer section 4.3.5 of the DVB-T EN 300744 standard version 1.6.1. The toolkit returns an error if the value of the Alpha is not equal to 1 for Non-Hierarchical mode of transmission.

The valid values are 1, 2 and 4.

DVB-T Signal Analysis Handle In

Alpha Alpha is the minimum distance separating two constellation points carrying different HP-bit values divided by the minimum distance separating any two constellation points. Non-hierarchical transmission uses the same uniform constellation as the case with Alpha = 1.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Set Measurement Mode.vi

Configures the Measurement Mode property of the DVB-T Signal Analysis handle.

The valid enum values of Measurement Mode are
0 (Demodulation Measurements)
1 (Spectral Measurements)

DVB-T Signal Analysis Handle In

Measurement Mode specifies the type of measurement performed on the acquired signal.

The valid enum values of Measurement Mode are
0 (Demodulation Measurements)
1 (Spectral Measurements)

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Set Number of Averages.vi

Configures the Number of Averages property of the DVB-T Signal Analysis handle. The measurement results are averaged over the number specified by Number of Averages.

DVB-T Signal Analysis Handle In

Number of Averages specifies the Number of Averages. The measurement results are averaged over the number specified by Number of Averages.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Set Measurement No of Symbols.vi

Configures the Measurement Number of Symbols to be used for DVB-T Signal Analysis handle.

The valid values for this property should be minimum 4. The default value is 12.

The TPS information is valid only if the Measurement Number of Symbols is set to 68.

DVB-T Signal Analysis Handle In

Measurement Number of Symbols specifies the Measurement Number of Symbols on which the Demodulation Measurements are performed.
The TPS information is valid only if the Measurement Number of Symbols is set to 68.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Set Channel Estimation Enabled.vi

Configures the Channel Estimation Enabled property of the DVB-T Signal Analysis handle. The valid enum values for this property is 0 (FALSE) or 1 (TRUE).

DVB-T Signal Analysis Handle In

Channel Estimation Enabled specifies whether the channel estimation is enabled or not. The valid enum values for this property is 0 (FALSE) or 1 (TRUE). The default value is 1 (TRUE).

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis HandleOut

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Set Minimum Quite Time.vi

Configures the Minimum Quite Time property of the DVB-T Signal Analysis handle. This value specifies the minimum time below the trigger value during which the signal must remain off, in order to trigger.

DVB-T Signal Analysis Handle In

Minimum Quite Time, sec specifies the minimum time below the trigger value during which the signal must remain off, in order to trigger.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Set PreTrigger Delay.vi

Configures the PreTrigger Delay property of the DVB-T Signal Analysis handle.

DVB-T Signal Analysis Handle In

PreTrigger Delay, sec specifies the PreTrigger Delay in seconds.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Set Path Detection Threshold.vi

Configures the Path Detection Threshold property of the DVB-T Signal Analysis Handle. This property specifies the threshold relative to the peak power to detect the number of paths from the channel impulse response trace.
The toolkit detects the number of peaks in the channel response trace above this threshold level.

The default value is -40dB.

DVB-T Signal Analysis Handle In

Path Detection Threshold, dB specifies the Path Detection Threshold. This property specifies the threshold relative to the peak power to detect the number of paths from the channel impulse response trace.
The default value is -40dB.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Set EVM Measurements Enabled.vi

Configures the EVM Measurements Enabled property of the DVB-T Signal Analysis handle. If this property is set to 1 (Enabled), then the toolkit does Error Vector Magnitude (EVM) related measurements. The measurements include EVM vs Subcarriers Trace, EVM vs Symbols Trace, MER vs Subcarriers Trace, MER vs Symbols Trace, Data RMS EVM, RMS MER, Pilot EVM, Magnitude Error and Phase Error.

The valid enum values for this property is 0 (Disabled) or 1 (Enabled). The default value is 1 (Enabled).

DVB-T Signal Analysis Handle In

EVM/MER Measurements Enabled? specifies whether the channel estimation is enabled or not. The valid enum values for this property is 0 (FALSE) or 1 (TRUE). The default value is 1 (TRUE).

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis HandleOut

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Set CIR Measurements Enabled.vi

Configures the CIR Measurements Enabled property of the DVB-T Signal Analysis handle. If this property is set to 1 (Enabled), then the toolkit does Channel Impulse Response (CIR) related measurements. The measurements include Channel Impulse Response Trace, Path Delay, Path Relative Power and Path Absolute Power

The valid enum values for this property is 0 (Disabled) or 1 (Enabled). The default value is 1 (Enabled).

DVB-T Signal Analysis Handle In

CIR Measurements Enabled? specifies whether the channel estimation is enabled or not. The valid enum values for this property is 0 (FALSE) or 1 (TRUE). The default value is 1 (TRUE).

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis HandleOut

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Set TPS Decoding Enabled.vi

Configures the TPS Decoding Enabled property of the DVB-T Signal Analysis handle. If this property is set to 1 (Enabled) and the Measurement Number of Symbols is greater than or equal to 68, then the toolkit decodes Transmitter Parameter Signalling (TPS) information transmitted i the DVB-T Signal.

The valid enum values for this property is 0 (Disabled) or 1 (Enabled). The default value is 1 (Enabled).

DVB-T Signal Analysis Handle In

TPS Decoding Enabled? specifies whether the channel estimation is enabled or not. The valid enum values for this property is 0 (FALSE) or 1 (TRUE). The default value is 1 (TRUE).

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis HandleOut

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Set Constellation Symbol Offset.vi

Configures the value for constellation symbol offset property, in the DVB-T Signal Analysis handle. This value specifies the offset of the constellation graph in ofdm symbols.

The default value is 0.

DVB-T Signal Analysis Handle In

Constellation Symbol Offset specifies the offset of the constellation graph in OFDM symbols.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Set Constellation Number of Symbols.vi

Configures the value for Constellation Number of Symbols property, in the DVB-T Signal Analysis handle. This value specifies the length of the constellation graph in ofdm symbols. The number of data and pilot subcarriers in each symbol depends on the FFT Size.

The default value is 12.

DVB-T Signal Analysis Handle In

Constellation No.of Symbols Specifies the length of the constellation graph in ofdm symbols. The number of data and pilot subcarriers in each symbol depends on the FFT Size.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Set PreEqualization Demod Output Enabled.vi

Configures the PreEqualization Demod Output Enabled property of the DVB-T Signal Analysis handle. If this property is set to 1 (Enabled) then the toolkit demodulates the received signal before equalization after all synchronization is performed.

The valid enum values for this property is 0 (Disabled) or 1 (Enabled). The default value is 0 (Disabled).

DVB-T Signal Analysis Handle In

PreEqualization Demod Output Enabled? specifies the PreEqualization Demod Output Enabled property is set or not. If this property is set to 1 (Enabled) then the toolkit demodulates the received signal before equalization after all synchronization is performed.

The valid enum values for this property is 0 (Disabled) or 1 (Enabled). The default value is 0 (Disabled).

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis HandleOut

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Set FFT Window Type.vi

Configures the FFT Window Type property of the DVB-T Signal Analysis handle. FFT Window Type is the time-domain window applied to the signal.

The valid enum values of FFT Window Types are,
0 (Rectangle)
1 (Hanning (default))
2 (Hamming)
3 (Blackman-Harris)
4 (Exact Blackman)
5 (Blackman)
6 (Flat Top)
7 (4 Term B-Harris)
8 (7 Term B-Harris)
9 (Low Sidelobe)
11 (Blackman Nutall)
30 (Triangle)
31 (Bartlett-Hanning)
32 (Bohman)
33 (Parzen)
34 (Welch)
60 (Kaiser)
61 (Dolph-Chebyshev)
62 (Gaussian)

DVB-T Signal Analysis Handle In

FFT Window Type window is the time-domain window to apply to the time signal. The default window is Hanning.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Set Center Channel Frequency.vi

Configures the Center Channel Frequency property of the DVB-T Signal Analysis handle.

DVB-T Signal Analysis Handle In

Center Channel Frequency specifies the center channel frequency in Hz.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Set Center Channel Bandwidth.vi

Configures the Center Channel Bandwidth property of the DVB-T Signal Analysis handle.
Specifies the frequency range for each channel, in Hz

DVB-T Signal Analysis Handle In

Center Channel Bandwidth (Hz) specifies the frequency range for each channel, in Hz

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Set ACP Frequency Offsets.vi

Configures the Adjacent Channel Frequency Offsets property of the DVB-T Signal Analysis handle, in Hz.

Adjacent Channel Frequency Offsets specifies the distance from the center frequency of the main channel to the center frequency of the adjacent channels.

DVB-T Signal Analysis Handle In

ACP Frequency Offsets (Hz) specifies the distance from the center frequency of the main channel to the center frequency of the adjacent channels.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Set ACP Bandwidths.vi

Configures the Adjacent Channel Bandwidths property of the DVB-T Signal Analysis handle.

Adjacent Channel Bandwidth specifies the frequency range of each channel, in Hz.

DVB-T Signal Analysis Handle In

ACP Bandwidths (Hz) specifies the frequency range of each channel, in Hz.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Set SEM Frequency Offsets.vi

Configures the Spectral Emission Mask (SEM) Frequency Offsets property of the DVB-T Signal Analysis Handle. The SEM Frequency Offsets specifies the offset in Hz from the center frequency.

The toolkit uses this property along with the SEM Power Offsets property to create the Spectral Emission Mask.

DVB-T Signal Analysis Handle In

SEM Frequency Offsets (Hz) specifies the offset in Hz from the center frequency.
The toolkit uses this property along with the SEM Power Offsets property to create the Spectral Emission Mask.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Set SEM Power Offsets.vi

Configures the Spectral Emission Mask (SEM) Power Offset property of the DVB-T Signal Analysis handle in dB. The Power Offset levels corresponds to the each frequency offset points specified by SEM Frequency Offsets Property. The Power Offset is relative to the power level specified by the SEM Reference Power Level Type property.

The toolkit uses this property along with SEM Frequency Offsets Property to create the Spectral Emission Mask.

DVB-T Signal Analysis Handle In

SEM Power Offsets (dB) specifies the Spectral Emission Mask (SEM) Power Offset. The Power Offset levels corresponds to the each frequency offset points specified by SEM Frequency Offsets Property. The Power Offset is relative to the power level specified by the SEM Reference Power Level Type property.

The toolkit uses this property along with SEM Frequency Offsets Property to create the Spectral Emission Mask.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Set SEM Reference Level Type.vi

Configures the Spectral Emission Mask (SEM) Reference Level Type property of the DVB-T Signal Analysis handle.

The toolkit uses this property to create the Spectral Emission Mask.

The valid enum values are
0 (Peak Power)
1 (Total Channel Power)
2 (User Defined Power Level)

DVB-T Signal Analysis Handle In

SEM Reference Level Type specifies the Spectral Emission Mask (SEM) Reference Level Type The toolkit uses this property to create the Spectral Emission Mask.

The valid enum values are
0 (Peak Power)
1 (Total Channel Power)
2 (User Defined Power Level)

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Set SEM Reference Power Level.vi

Configures the Spectral Emission Mask (SEM) Reference Power Level property in dBm, of the DVB-T signal Analysis handle. The toolkit uses this property when the SEM Reference Level Type property is set to User Defined Power Level.

The SEM Reference Power Level and SEM Power Offsets are used to compute the the absolute power levels for each SEM frequency offset points.
The toolkit uses this property to create the Spectral Emission Mask.

DVB-T Signal Analysis Handle In

SEM Reference Power Level specifies the Spectral Emission Mask (SEM) Reference Power Level property in dBm. The toolkit uses this property when the SEM Reference Level Type property is set to User Defined Power Level.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Set Averaging Mode.vi

Configures the Averaging Mode property of the DVB-T Signal Analysis handle. The Averaging mode specifies the type of averaging method used for spectral acquisition. This property is applicable only if the Measurement Mode is Spectral Measurements.

The valid enum values for Averaging mode are
0 (No Averaging)
1 (Vector Averaging)
2 (RMS Averaging)
3 (Peak Hold)

DVB-T Signal Analysis Handle In

Averaging Mode averaging mode specifies the averaging mode.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Set Weighting Mode.vi

Configures the Weighting mode property of the DVB-T Signal analysis handle. This property is applicable only if the Measurement Mode is Spectral Measurements.

The valid enum values are
0 (Linear)
1 (Exponential)
This property is applicable only for Spectral Measurements.

DVB-T Signal Analysis Handle In

Weighting Mode weighting mode specifies the weighting mode for RMS and vector averaging.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get RMS EVM in dB.vi

Returns the measured RMS Error Vector Magnitude (EVM) in dB. This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements.

The toolkit averages this measurement over the number of acquisitions specified by the Number of Averages value.

For more details refer section Annex C of Digital Video Broadcasting (DVB); Measurement guidelines for DVB systems (ETSI TR 101 290 V1.2.1 (2001-05))

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

RMS EVM, dB specifies the measured RMS Error Vector Magnitude (EVM) in dB.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get RMS EVM in percentage.vi

Returns the measured RMS Error Vector Magnitude (EVM) in percentage. This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements.

The toolkit averages this measurement over the number of acquisitions specified by the Number of Averages value.

For more details refer section Annex C of Digital Video Broadcasting (DVB); Measurement guidelines for DVB systems (ETSI TR 101 290 V1.2.1 (2001-05))

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

RMS EVM, % specifies the measured RMS Error Vector Magnitude (EVM) in percentage.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Peak EVM in dB.vi

Returns the measured Peak Error Vector Magnitude (EVM) in dB. The ratio of error vector to the ideal symbol vector for a particular symbol and subcarrier gives the instantaneous EVM. Peak EVM is the maximum EVM across all symbols and subcarriers. This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements.

The toolkit calculates peak hold averaging over the number of acquisitions specified by the Number of Averages value.

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Peak EVM, dB specifies the measured Peak Error Vector Magnitude (EVM) in dB. The ratio of error vector to the ideal symbol vector for a particular symbol and subcarrier gives the instantaneous EVM. Peak EVM is the maximum EVM across all symbols and subcarriers.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Peak EVM in percentage.vi

Returns the measured Peak Error Vector Magnitude (EVM) in percentage. The ratio of error vector to the ideal symbol vector for a particular symbol and subcarrier gives the instantaneous EVM. Peak EVM is the maximum EVM across all symbols and subcarriers. This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements.

The toolkit calculates peak hold averaging over the number of acquisitions specified by the Number of Averages value.

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Peak EVM, % specifies the measured Peak Error Vector Magnitude (EVM) in percentage. Peak EVM is the maximum EVM across all symbols and subcarriers.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Peak EVM Symbol Position.vi

Returns the symbol number corresponding to the Peak Error Vector Magnitude (EVM).
This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements.

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Symbol Position specifies the symbol number corresponding to the Peak Error Vector Magnitude (EVM).

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Peak EVM Subcarrier Position.vi

Returns the active subcarrier number corresponding to the Peak Error Vector Magnitude (EVM).
This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements.

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Subcarrier Position specifies the active subcarrier number corresponding to the Peak Error Vector Magnitude (EVM).

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get MER (dB).vi

Returns the measured Modulation Error Ratio (MER) in dB. This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements.

The toolkit averages this measurement over the number of acquisitions specified by the Number of Averages value.

For more details refer section 6.9.2 of Digital Video Broadcasting (DVB); Measurement guidelines for DVB systems (ETSI TR 101 290 V1.2.1 (2001-05))

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

MER, dB specifies the measured Modulation Error Ratio (MER) in dB.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Peak MER (dB).vi

Returns the measured Peak Modulation Error Ratio (MER) in dB. The ratio of ideal symbol vector to error vector for a particular symbol and subcarrier gives the instantaneous MER. Peak MER is the maximum MER across all symbols and subcarriers. This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements.

The toolkit calculates peak hold averaging over the number of acquisitions specified by the Number of Averages value.

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Peak MER, dB specifies the measured Peak Modulation Error Ratio (MER) in dB. The ratio of ideal symbol vector to error vector for a particular symbol and subcarrier gives the instantaneous MER. Peak MER is the maximum MER across all symbols and subcarriers.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Frequency Offset.vi

Returns the average Frequency Offset in Hz. This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements.

The toolkit averages this measurement over the number of acquisitions specified by the Number of Averages value.

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Frequency Offset specifies the average Frequency Offset in Hz. The measured Frequency offset is averaged over the number of acquisitions specified by the Number of Averages value.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Clock Offset.vi

Returns the Clock Offset measured in PPM. This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements.

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Clock Offset specifies the Clock Offset measured in PPM.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Magnitude Error.vi

Returns the measured Magnitude Error, in dB. This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements.

The toolkit averages this measurement over the number of acquisitions specified by the Number of Averages value.

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Magnitude Error, dB specifies the measured Magnitude Error, in dB.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Phase Error (deg).vi

Returns the measured Phase Error in degrees. This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements.

The toolkit averages this measurement over the number of acquisitions specified by the Number of Averages value.

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Phase Error, deg specifies the measured RMS Phase Error in degrees.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get IQ Gain Imbalance.vi

Returns the measured IQ Gain Imbalance value, in dB. This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements.

The toolkit averages this measurement over the number of acquisitions specified by the Number of Averages value.

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

IQ gain imbalance, dB specifies the desired ratio of I gain to Q gain in dB. Valid values are between –6.0 and +6.0.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Quadrature Skew.vi

Returns the Quadrature skew in degrees. Quadrature Skew specifies the deviation in angle from 90 degrees between the in-phase (I) and quadrature-phase (Q) signals. This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements.

The toolkit averages this measurement over the number of acquisitions specified by the Number of Averages value.

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Quadrature skew, deg specifies the desired quadrature skew of the complex waveform in degrees. Valid values are between –30.0° and +30.0°.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get IQ Offset.vi

Returns the measured IQ Offset value, in dB. This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements.

The toolkit averages this measurement over the number of acquisitions specified by the Number of Averages value.

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

IQ Offset, dB specifies the measured IQ Offset value, in dB.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Average Power.vi

Returns the average power of the received signal in dBm. This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements.

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Average Power, dB specifies the average power of the received signal in dBm.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Peak Power.vi

Returns the measured peak power of the received signal, in dBm. This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements.

The toolkit calculates peak hold averaging over the number of acquisitions specified by the Number of Averages value.

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Peak Power, dBm specifies the measured peak power of the received signal, in dBm.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Pilot RMS EVM in percentage.vi

Returns the measured Pilot RMS EVM in percentage. EVM is averaged over all Pilot subcarriers and Measurement Number of Symbols. This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements.

The toolkit averages this measurement over the number of acquisitions specified by the Number of Averages value.

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Pilot RMS EVM, % specifies the measured Pilot RMS EVM in percentage. EVM is averaged over all Pilot subcarriers and Measurement Number of Symbols.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Pilot RMS EVM in dB.vi

Returns the measured Pilot RMS EVM in dB. EVM is averaged over all Pilot subcarriers and Measurement Number of Symbols. This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements.

The toolkit averages this measurement over the number of acquisitions specified by the Number of Averages value.

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Pilot RMS EVM, dB specifies the measured Pilot RMS EVM in dB. EVM is averaged over all Pilot subcarriers and Measurement Number of Symbols.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Pilot MER (dB).vi

Returns the measured Pilot Modulation Error Ratio (MER) in dB. MER is averaged over all the Pilot subcarriers and Measurement Number of Symbols. This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements.

The toolkit averages this measurement over the number of acquisitions specified by the Number of Averages value.

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Pilot MER, dB specifies the measured Pilot Modulation Error Ratio (MER) in dB. MER is averaged over all the Pilot subcarriers and Measurement Number of Symbols.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Demodulated Symbols.vi

Returns the Demodulated Symbols. The number of demodulated symbols depends of the value configured in the Number of Symbols Control. The Symbol Offset control indicates from which symbol position (from the start of the frame) the demodulated symbols are returned.
The demodulated symbols are returned either at Pre Equalization Stage or Post Equalization Stage depending the value configured in the Output Demod Symbols control.
The default values are
Output Demod Symbols --> Pre Equalization
Symbol Offset --> 0
Number of Symbols --> 0

DVB-T Signal Analysis Handle In

Output Demod Symbols Specifies whether the demodulated symbols are returned at the Pre Equalization stage or Post Equalization stage. This is an enum with possible values 0--> Pre Equalization and 1 --> Post Equalization. The default is 0 --> Pre Equalization

Symbol Offset Specifies the offset value from symbol number zero of a frame.

Number of Symbols Specifies the Number of demodulated symbols returned from the symbol offset value.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Demodulated Symbols specifies the demodulated symbols returned depending on the Symbol Offset and Number of Symbols. The demodulated symbols are either returned at the Pre Equalization stage or Post Equalization stage

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get All Measurements.vi

Returns the DVB-T SA Measurement Cluster. This API VI is used for reading all the measurements supported by the toolkit.

DVB-T Signal Analysis Handle In

EVM Vs Subcarriers All Symbols specifies whether EVM Vs Subcarriers for all Symbols is returned or not. Default value is false.

EVM Vs Subcarriers Symbol Number Specifies the Symbol Number for which the EVM Vs Subcarriers is returned. The default value is 0.

EVM Vs Symbols Subcarrier Number Specifies the Subcarrier Number for which the EVM Vs Symbols is returned. The default value is 0.

EVM Vs Symbols All Subcarriers specifies whether EVM Vs Symbols for all Subcarriers is returned or not. Default value is false.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

DVB-T Measurement Cluster

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Frame Number.vi

Returns the Frame Number value decoded from the TPS signalling information. The toolkit decodes the TPS information only when the Measurement Number of Symbols value is set to 68. This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements.

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Frame Number specifies the Frame Number value decoded from the TPS signalling information.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Transmission Mode.vi

Returns the Transmission Mode value decoded from the TPS signalling information. The toolkit decodes the TPS information only when the Measurement Number of Symbols value is set to 68. This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements.

The valid enum values for Transmission Mode are,
0 (2K)
1 (8K)
2 (4K)

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Transmission Mode specifies the Transmission Mode value decoded from the TPS signalling information.
The valid enum values for Transmission Mode are,
0 (2K)
1 (8K)
2 (4K)

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Transmission Format.vi

Returns the Transmission Format value decoded from the TPS signalling information. The toolkit decodes the TPS information only when the Measurement Number of Symbols value is set to 68. This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements.

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Transmission Format specifies the Transmission Format value decoded from the TPS signalling information.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Guard Interval.vi

Returns the Guard Interval value decoded from the TPS signalling information. The toolkit decodes the TPS information only when the Measurement Number of Symbols value is set to 68. This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements.

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Guard Interval specifies the Guard Interval. The valid enum values for the Guard Interval property are 0 (1/4), 1 (1/8), 2 (1/16) and 3 (1/32). The Guard Interval is used to specify the length of cyclic prefix as a fraction of the total FFT size.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Interleaver Type.vi

Returns the Interleaver Type value decoded from the TPS signalling information. The toolkit decodes the TPS information only when the Measurement Number of Symbols value is set to 68. This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements.

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Interleaver Type specifies the Interleaver Type value decoded from the TPS signalling information.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Code Rate (LP).vi

Returns the Code Rate value decoded from the TPS signalling information. The toolkit decodes the TPS information only when the Measurement Number of Symbols value is set to 68. This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements.

For hierarchical transmission this specifies the code rate used for LP stream. For non-hierarchical transimission this information is not signalled.
The possible enum values for Code Rate are
0 (1/2)
1(2/3)
2 (3/4)
3 (5/6)
4 (7/8)

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Code Rate (LP) specifies the Code Rate value decoded from the TPS signalling information.

For hierarchical transmission this specifies the code rate used for LP stream. For non-hierarchical transimission this information is not signalled.
The possible enum values for Code Rate are
0 (1/2)
1(2/3)
2 (3/4)
3 (5/6)
4 (7/8)

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Code Rate(HP).vi

Returns the Code Rate value decoded from the TPS signalling information. The toolkit decodes the TPS information only when the Measurement Number of Symbols value is set to 68. This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements.

For hierarchical transmission this specifies the code rate used for HP stream. For non-hierarchical transimission this specifies the code rate of the data stream.

The possible enum values for Code Rate are
0 (1/2)
1(2/3)
2 (3/4)
3 (5/6)
4 (7/8)

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Code Rate (HP) specifies the Code Rate value decoded from the TPS signalling information.

For hierarchical transmission this specifies the code rate used for HP stream. For non-hierarchical transimission this specifies the code rate of the data stream.

The possible enum values for Code Rate are
0 (1/2)
1(2/3)
2 (3/4)
3 (5/6)
4 (7/8)

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Alpha.vi

Returns the Alpha value decoded from the TPS signalling information. The toolkit decodes the TPS information only when the Measurement Number of Symbols value is set to 68. This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements.

Alpha is the minimum distance separating two constellation points carrying different HP-bit values divided by the minimum distance separating any two constellation points. Non-hierarchical transmission uses the same uniform constellation as the case with Alpha = 1. For more information refer section 4.3.5 of the DVB-T EN 300744 standard version 1.6.1.

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Alpha Alpha is the minimum distance separating two constellation points carrying different HP-bit values divided by the minimum distance separating any two constellation points. Non-hierarchical transmission uses the same uniform constellation as the case with Alpha = 1.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Cell ID.vi

Returns the CellID value decoded from the TPS signalling information. The toolkit decodes the TPS information only when the Measurement Number of Symbols value is set to 68. In order to decode full value of Cell ID the Measurement Number of Symbols value should be set to 136.

This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements.

DVB-T Signal Analysis Handle In

error in (no error) The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.

DVB-T Signal Analysis Handle Out

Cell Id specifies CellID value decoded from the TPS signalling information. The toolkit decodes the TPS information only when the Measurement Number of Symbols value is set to 68. In order to decode full value of Cell ID the Measurement Number of Symbols value should be set to 136.

error out The error in cluster can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.


MaxEye DVB-T SA Get Modulation Scheme.vi

Returns the Modulation Scheme decoded from the TPS signalling information. The toolkit decodes the TPS information only when the Measurement Number of Symbols value is set to 68. This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements.

The possible enum values are
0 (QPSK),
1 (16QAM) and
2 (64QAM).

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Modulation specifies the Modulation Scheme decoded from the TPS signalling information.
The possible enum values are
0 (QPSK),
1 (16QAM) and
2 (64QAM).

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Constellation Graph.vi

Returns the Constellation trace. This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements.
The returned array needs to be connected to XY graph to view the constellation points.

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Constellation specifies the Constellation trace. The returned array needs to be connected to XY graph to view the constellation points.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Channel Impulse Response.vi

Returns the Channel Impulse Response (magnitude) trace. This is a cluster of two arrays. X-axis (delay time is micro seconds) and Y-axis Channel Impulse Response in dB. The trace also plots the Path Detection Threshold value. This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements and Channel Estimation Enabled property is set to TRUE.

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Channel Impulse Response Trace specifies the Channel Impulse Response in dB. This is an array cluster.. The first cluster contains Path Delay time (micro seconds) array and Channel Impulse Response array in dB. The second cluster contains Path Delay time (micro seconds) array and Path Detection Threshold value.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Channel Frequency Response.vi

Returns the Channel Frequency Response (magnitude response) trace. This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements and Channel Estimation Enabled property is set to TRUE.

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Channel Frequency Response, dB specifies the Channel Frequency Response (magnitude response) trace in dB.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Channel Frequency Response (Phase).vi

Returns the Channel Frequency Response (phase response) trace. This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements and Channel Estimation Enabled property is set to TRUE.

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Channel Frequency Response (Phase), rad specifies the channel power in dBm, based on the Center Channel Frequency and Center Channel Bandwidth property configured by the user.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get EVM Vs Subcarriers.vi

Returns a 2-D array of Error Vector Magnituce (EVM) values. The first dimension represents the Measurement Number of Symbols and second dimension represents the number of active subcarriers. The returned 2-D array needs to be connected to a waveform graph to visualize the EVM Vs Subcarriers.

The trace consisting of EVM Vs Subcarriers for all Symbols is returned if All Symbols Property is set to True.
If All Symbols property is set to False, then the trace corresponding to a particular symbol specified in the Symbol Number property of this API VI is returned.

This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements.

DVB-T Signal Analysis Handle In

All Symbols specifies whether all the symbols are returned or a trace of a particular symbol. If set to TRUE complete trace is returned.

Symbol Number specifies the Symbol Number for which the EVM Vs Subcarriers trace is returned.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

EVM Vs Subcarriers specifies the Error Vector Magnituce (EVM) values. This is a 2-D array with the first dimension representing the Measurement Number of Symbols and second dimension representing the number of active subcarriers. The returned 2-D array needs to be connected to a waveform graph to visualize the EVM Vs Subcarriers.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get EVM Vs Symbols.vi

Returns a 2-D array of Error Vector Magnitude (EVM) values. The first dimension represents the number of active subcarriers and second dimension represents the Measurement Number of Symbols. The returned 2-D array needs to be connected to a waveform graph to visualize the EVM Vs Symbols.

The trace consisting of EVM Vs Symbols for all Subcarriers is returned if All Subcarriers Property is set to True. If All Subcarriers property is set to False, then the trace corresponding to a particular subcarrier specified in the Subcarrier Number property of this API VI is returned.

This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements.

DVB-T Signal Analysis Handle In

All Subcarriers specifies whether all the subcarriers are returned or a trace of a particular symbol. If set to TRUE complete trace is returned.

Subcarrier Number specifies the Subcarrier Number for which the EVM Vs Symbols trace is returned.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

EVM Vs Symbols specifies the Error Vector Magnituce (EVM) values. This is a 2-D array with the first dimension representing the number of active subcarriers and second dimension representing Measurement Number of Symbols. The returned 2-D array needs to be connected to a waveform graph to visualize the EVM Vs Symbols.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get MER Vs Subcarriers.vi

Returns a 2-D array of Modulation Error Ratio (MER) values. The first dimension represents the Measurement Number of Symbols and second dimension represents the number of active subcarriers. The returned 2-D array needs to be connected to a waveform graph to visualize the MER Vs Subcarriers.

The trace consisting of MER Vs Subcarriers for all Symbols is returned if All Symbols Property is set to True.
If All Symbols property is set to False, then the trace corresponding to a particular symbol specified in the Symbol Number property of this API VI is returned.

This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements.

DVB-T Signal Analysis Handle In

All Symbols specifies whether all the symbols are returned or a trace of a particular symbol. If set to TRUE complete trace is returned.

Symbol Number specifies the Symbol Number for which the MER Vs Subcarriers trace is returned.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

MER Vs Subcarriers specifies the Modulation Error Ratio values. This is a 2-D array with the first dimension representing the Measurement Number of Symbols and second dimension representing the number of active subcarriers. The returned 2-D array needs to be connected to a waveform graph to visualize the MER Vs Subcarriers.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get MER Vs Symbols.vi

Returns a 2-D array of Modulation Error Ratio(MER) values. The first dimension represents the number of active subcarriers and second dimension represents the Measurement Number of Symbols. The returned 2-D array needs to be connected to a waveform graph to visualize the MER Vs Symbols.

The trace consisting of MER Vs Symbols for all Subcarriers is returned if All Subcarriers Property is set to True. If All Subcarriers property is set to False, then the trace corresponding to a particular subcarrier specified in the Subcarrier Number property of this API VI is returned.

This measurement is applicable only if the Measurement Mode is set to Demodulation Measurements.

DVB-T Analyzer Handle In

All Subcarriers specifies whether all the subcarriers are returned or a trace of a particular symbol. If set to TRUE complete trace is returned.

Subcarrier Number specifies the Subcarrier Number for which the MER Vs Symbols trace is returned.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Analyzer Handle Out

MER Vs Symbols specifies the Modulation Error Ratio (MER) values. This is a 2-D array with the first dimension representing the number of active subcarriers and second dimension representing Measurement Number of Symbols. The returned 2-D array needs to be connected to a waveform graph to visualize the MER Vs Symbols.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Path Absolute Power (dBm).vi

Returns the Path Absolute Power (dB) of the individual path of the multipath channel. This control is an array and the number of elements of the array depends on the value configured in the Number of Paths property of the DVB-T Signal Analysis Handle.

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Path Absolute Power, dBm specifies the Path Absolute Power (dB) of the individual path of the multipath channel.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Path Relative Power (dB).vi

Returns the Path Relative Power (dB) of the individual path of the multipath channel. The Relative Power is calculated with respect to the dominent path in the multipath channel profile.
This control is an array and the number of elements of the array depends on the value configured in the Number of Paths property of the DVB-T Signal Analysis Handle.

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Path Relative Power, dB specifies the Path Relative Power (dB) of the individual path of the multipath channel. The Relative Power is calculated with respect to the dominent path in the multipath channel profile.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Path Delay (microsec).vi

Returns the Path Dealy in micro seconds of the individual path in the multipath channel.
This control is an array and the number of elements of the array depends on the value configured in the Number of Paths property of the DVB-T Signal Analysis Handle.

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Path Delay, micro seconds specifies the Path Dealy in micro seconds of the individual path in the multipath channel.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Channel Power.vi

Returns the channel power in dBm, based on the Center Channel Frequency and Center Channel Bandwidth property configured by the user. This measurement is applicable only if the Measurement Mode is set to Spectral Measurements.

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Channel Power (dBm) specifies the channel power in dBm, based on the Center Channel Frequency and Center Channel Bandwidth property configured by the user.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Adjacent Channel Powers.vi

Returns the power in dBm, in the adjacent channels based on the ACP Frequency Offsets and ACP Bandwidths property configured by the user.

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Adjacent Channel Powers (dBm)

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Spectral Mask Margin.vi

Returns the Spectral Mask Margin in dB. Spectral mask margin is the worst difference between the spectral mask and the measured Power Spectrum. This measurement is applicable only if the Measurement Mode is set to Spectral Measurements.

The toolkit averages the power spectrum over the number of acquisitions specified by the Number of Averages value. The measurement is performed on the average power spectrum.

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Spectral Mask Margin,dB specifies the Spectral Mask Margin in dB. Spectral mask margin is the worst difference between the spectral mask and the measured Power Spectrum.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Get Spectral Mask Trace.vi

Returns the Spectral Mask Trace.

Spectral Mask Trace is a cluster consisting of 3 elements.
1. The first element (f0) returns the initial frequency of the power spectrum.
2. The second element (df) returns the frequency interval between the data points of the power spectrum
3. The third element (y) is a 2D array. The first row returns array of Spectral Emission Mask values as per the SEM Power Offsets and SEM Frequency Offset values configured by the user. The second row returns the Power Spectrum in dBm.

This measurement is applicable only if the Measurement Mode is set to Spectral Measurements.

The toolkit averages the power spectrum over the number of acquisitions specified by the Number of Averages value. The measurement is performed on the average power spectrum.

DVB-T Signal Analysis Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

Spectral Mask Trace Specifies the data for a real waveform including the start, delta, and actual values.

Spectral Mask Trace is a cluster consisting of 3 elements.
1. The first element (f0) returns the initial frequency of the power spectrum.
2. The second element (df) returns the frequency interval between the data points of the power spectrum
3. The third element (y) is a 2D array. The first row returns array of Spectral Emission Mask values as per the SEM Power Offsets and SEM Frequency Offset values configured by the user. The second row returns the Power Spectrum in dBm.

error out error out passes error or warning information out of a VI to be used by other VIs.


MaxEye DVB-T SA Set Acquisition Length.vi

Configures the Acquisition Length property of the DVB-T Signal Analysis handle. The toolkit reads the number of samples equivalent to the Acquisition Length. The minimum Acquisition Length in seconds should be equal to atleast one frame plus the Measurement Number of Symbols.

DVB-T Signal Analysis Handle In

Acquisition Length, sec specifies the Acquisition Length in seconds. The number of samples to be read is calculated based on the Acquisition Length. The minimum Acquisition Length in seconds should be equal to atleast one frame plus the Measurement Number of Symbols.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DVB-T Signal Analysis Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.